Results 1 to 3 of 3

Thread: Polyline editing: PEDITACCEPT = 1, the PEDIT command VS. the MPEDIT command

  1. #1
    Member
    Join Date
    2011-05
    Posts
    17
    Login to Give a bone
    0

    Default Polyline editing: PEDITACCEPT = 1, the PEDIT command VS. the MPEDIT command

    Are you tired of the polyline edit command (PEDIT) always asking you: "Convert lines and arcs to polylines? <Yes>:"

    Type: "PEDITACCEPT" and set the value to 1.

    Now the PEDIT command will always assume you just want to go ahead and convert your selected lines into polylines.

    Here's my issue:

    1) I use PEDIT on multiple lines. I always have to type "M" for [Multiple] - otherwise PEDIT will only edit 1 line at a time.
    2) The MPEDIT command automatically assumes I want to edit multiple lines, which saves me time on having to type "M" for [Multiple]
    3) The MPEDIT command ALWAYS asks "Convert lines and arcs to polylines?" <Yes>.:" - EVEN if I set PEDITACCEPT = 1



    So is there an easy solution to this? I want either
    1) PEDIT to always assume I want to edit multiple lines
    2) or I want MPEDIT to always assume that I want to convert the lines/arcs into polylines.

    I am not good with LISP, but this just might be final straw for me to finally put my nose to the grindstone and learn how to LISP.

  2. #2
    Certified AUGI Addict cadtag's Avatar
    Join Date
    2000-12
    Location
    Cairo - no, not Illinois
    Posts
    5,069
    Login to Give a bone
    0

    Default Re: Polyline editing: PEDITACCEPT = 1, the PEDIT command VS. the MPEDIT command

    MPedit is a LISP routine, under Express Tools, so it's accessible for modifying. Looks like a nested IF would do it...

  3. #3
    Certifiable AUGI Addict
    Join Date
    2015-11
    Location
    Jo'burg SA
    Posts
    4,512
    Login to Give a bone
    0

    Default Re: Polyline editing: PEDITACCEPT = 1, the PEDIT command VS. the MPEDIT command

    Or an extremely simple one:
    Code:
    (defun c:MyPEdit ()
      (setvar "PEDITACCEPT" 1)
      (command "._PEDIT" "_Multiple")
      (princ))

Similar Threads

  1. Scroll wheel Zoom in PEdit command
    By Wish List System in forum AutoCAD Wish List
    Replies: 2
    Last Post: 2016-02-14, 12:09 AM
  2. Polyline command string
    By andrew.handley782323 in forum AutoCAD Customization
    Replies: 3
    Last Post: 2009-06-02, 02:50 PM
  3. PEDIT Command Results
    By murrayc.49304 in forum AutoCAD Tips & Tricks
    Replies: 0
    Last Post: 2006-01-12, 04:33 PM
  4. FILLET Command Substitute for PEdit-join
    By Chris Matira in forum AutoCAD Tips & Tricks
    Replies: 2
    Last Post: 2005-09-21, 01:59 PM
  5. Pedit command line
    By gstankus in forum AutoCAD General
    Replies: 2
    Last Post: 2004-08-24, 09:08 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •